LINUX.ORG.RU

Opensuse 42.3

 ,


1

3

26 июля 2017 года вышел Opensuse 42.3.

Основные изменения:

  • Еще больше пакетов из Suse Enterprise Linux Desktop. Совмещенная кодовая база Opensuse Leap и Suse Enterprise Linux Desktop позволяет получать исправления ошибок как со стороны сообщества, так и со стороны разработчиков дистрибутива.
  • Добавлена возможность установки сервера на Opensuse из установщика Yast. Больше не нужно собирать сервер по крупицам.
  • Добавлена возможность использования контейнеров Docker 1.12. Также добавлен Flatpak в качестве опции.
  • Среда по умолчанию — KDE 5.8. Вместе с ней доступны такие возможности, как интеграция с диском Google через kio-gdrive,
  • Gnome 3.20. Вместе с ним также доступен контроль приватности, позволяющий для каждого приложения указывать настройки местоположения, быстрый доступ к средствам мультимедиа. Также обновлены темы и иконки до соответствующих версий.
  • Добавлены также среды Mate 1.16, Cinnamon 3.4 и LXQt 0.11. Версии Xfce и LXDE аналогичны версиям в предыдущем выпуске.
  • Для локализации дистрибутива на разных языках используется Weblate — проект по объединению усилий Suse Enterprise Linux Desktop и Opensuse.

На 25.07.2017 идет процесс распределения релиза по зеркалам, и уже можно выполнить установку с некоторых носителей, например с вот этого

>>> Подробности

★★

Проверено: jollheef ()

Пользовался давно, запомнилось стабильной плазмой и тормознутым ястом. Так что приятно, что дистр продолжает жить.

hotpil ★★★★ ()

Еще больше пакетов из Suse Enterprise Linux Desktop. Совмещенная кодовая база Opensuse Leap и Suse Enterprise Linux Desktop...

Так а какая-то прямая связь между версиями OpenSUSE и SLES появилась? Типа как RHEL 7.1 == CentOS 7.1. SuSE 12.1 выходит примерное вместе с OpenSUSE 42.1, но из общего у низ только Zypper.

sphericalhorse ★★★★ ()

Tumbleweed рулит и педалит. Иной раз вылезет бажок, но фиксится довольно оперативно.

gigamax ★★ ()
Ответ на: комментарий от awesomenickname

+1 Как-то уже некомфортно становится на openSUSE. Субъективное ощущение пока.

Читая рассылку openFate, как там закрывают многие предложения с резюме «мы только пакуем. Вам в апстрим». Или просто игнорят, а потом закрывают с причиной «не сделано вовремя». Перед релизом очень акивно чистили.

gutaper ★★★★ ()
Ответ на: комментарий от sphericalhorse

Leap’s third edition of the 42 series bringing the community version more closely aligned with its shared core of SUSE Linux Enterprise (SLE) 12 Service Pack 3.

registrant ★★★★★ ()
Ответ на: комментарий от shpinog

чувствую немецкое качество!

ты бы хоть ознакомился с историей последних лет этого дистрибутива, преждем чем про немецкое качество писать

gutaper ★★★★ ()
Ответ на: комментарий от Vlst

+1 С их новой моделью разработки скоро все, что нужно на десктопе, надо будет тянуть из доп. реп. При этом в дебиане только бекпорты, а тут ворох.

gutaper ★★★★ ()
Ответ на: комментарий от registrant

Ну не все так безоблачно все же. Бардак с версиями, в частности, есть. Вот в openFATE прилетело вчера только про устаревшую версию Ruby и проблемы из-за этого:

The actual version make the installation of Rails and Sinatra, on the same computer impossible.

А что насчет https://bugzilla.opensuse.org/show_bug.cgi?id=1050681

Мне, если честно, лень проверять, все ли репы подтянули. Но объективности ради стоит отметить, что не все там идеально с этим ворохом.

gutaper ★★★★ ()
Ответ на: комментарий от AntonyRF

А я пробовал, — после первого же апдейта: кернел паника, и больше не включился, было такое дважды на двух разных машинах...

LinuxDebian ★★★★ ()
Ответ на: комментарий от registrant

Почему?

Вот, к примеру, нужен человуку позарез papyrus. Он есть только в репе Office. В штатной репе нет даже старой версии. Но репа для 42.3 отсутствует.

Ты хочешь сказать, что проблема в голове пользователя, что он, будучи _пользователем_, не хочет (не умеет):

- Зарегистрироваться в OBS - Разобраться с настройками (как минимум, как добавить нужные тебе репы для сборки) - Утащить этот пакет себе в репу - Подключить свою репу - Поставить нужный пакет

и только потом избавиться от проблемы в голове? Или таки проблема не в его голове?

Дистрибутив-то вроде общего назначения, не исключительно для задротов

gutaper ★★★★ ()
Ответ на: комментарий от gutaper

и только потом избавиться от проблемы в голове? Или таки проблема не в его голове?

Именно в его голове. Ожидать, что ограниченное число разработчиков актуализирует все мыслимые репы как минимум наивно. Так что если проблем в голове нет, то пара вариантов есть: подождать пока почешется человек, поддерживающий нужную репу (никто не мешает связаться с ним и попросить ускорить процесс) или стать мантейнером самому.

Вот, к примеру, нужен человуку позарез papyrus

Вот я, к примеру, даже не слышал о нем ни разу. Мне тоже ждать пока там кто-то раздуплится и ты дашь отмашку «разрешаю объявить релиз»? Надо же понимать, что релиз касается довольно ограниченного объема софта.

registrant ★★★★★ ()
Ответ на: комментарий от registrant

ОК, бардак в репозиториях следствие бардака в головах их мейнтейнеров.

Khnazile ★★★★★ ()
Ответ на: комментарий от registrant

актуализирует все мыслимые репы как минимум наивно

А. Т.е. развести этот зоопарк всех мыслимых реп (вот что мешало mcabber положить в основную репу? он там только с 42.2 появился) - это не проблема в головах. Это тонкий ход.

Так что если проблем в голове нет, то пара вариантов есть

Ясно. Любой _простой_ пользователь имеет проблемы в голове, судя по твоей логике.

подождать пока почешется человек,

В OBS кидал исправления в репу с модулями питона. Висели очень долго. Раза 3-4 автоматическая напоминалка даже рассылала уведомления сопровождающим. Никто не чесался. А пакеты все это время так и висели с ошибкой сборки.

и ты дашь отмашку «разрешаю объявить релиз»

Ну вообще-то добавить объект сборки - это дело 1 галочки. И у них есть пакеты, которые висят с ошибкой сборки, но сама репа-то есть. А тут не просто нет пакета или он с ошибкой, а вообще нет репы. Ладно бы включили сборку, она не прошла и пакет бы просто исключили. Но ведь даже не чесались.

gutaper ★★★★ ()
Ответ на: комментарий от gutaper

вот что мешало mcabber положить в основную репу? он там только с 42.2 появился

Совершенно чудовищная бюрократия в системе подтверждения пакетов. Нет, серьезно, там даже критические фиксы безопасности из апстрима неделями висят, что уж говорить про новые пакеты или даже обычные баги. Мне баг, не позволяющий загрузить систему исправляли полгода, хотя там дело было в банальной опечатке.

Khnazile ★★★★★ ()
Ответ на: комментарий от AntonyRF

Нет, не пугает, бывает такое, но при попытке обновить системные файлы. Там напоминалка надоедливая, но удаляется без последствий.

w39 ()
Ответ на: комментарий от ipeacocks

А где используют Suse Enterprise Linux?

Когда-то видел изображение на их сайте, где используется дистрибутив, среди многих компаний, самое большее приглянулось - оборонка США.

awesomenickname ★★★★★ ()
Ответ на: комментарий от Bruce_Lee

Этот очередной «линукс» тянет свою историю с 1994 года.

OpenMandriva

Тогда уж лучше Rosa, там хотя бы QA получше.

grem ★★★★★ ()
Ответ на: комментарий от AntonyRF

Чёт у меня этот глюкодром стабильнее дибилиана работает

Неумело вбрасываешь. Как там у вас обстоят дела с мультимедийными кодеками? Ах да, нужно подключать packman, искать кодеки, бороться с зависимостями. И это все потому, что

US software patents and Digital Millennium Copyright Act (DMCA))

Но представь, у меня из коробки в Дебиане все работает...

Odalist ★★★★★ ()

Добавлю в защиту дистрибутива :)

Да, в релизе некоторые компоненты древнее, чем в debian stable, но при желании, достаточно просто обновить нужные именно вам вещи. Предположим мне нравится plasma и всегда хочу использовать последнюю версию. И вот в рамках Opensuse можно оставить «стабильной» базовую систему и обновить только plasma и Qt до последней версии: https://en.opensuse.org/SDB:KDE_repositories#KDE_Frameworks_5_.26_Plasma_5

Или также можно обновить ядро. В основном эти репозитории поддерживать все те же сотрудники Opensuse, т.е. стабильность достаточная. В том же debian stable, насколько мне известно, так просто plasma не обновить.

Да, в той же убунте есть ppa, но мне показалось, что в suse проще разрулить репозитории и зависимости, даже если их много.

Сам в настоящий момент Opensuse не использую, но вполне нормальный дистрибутив, но «новичкам» конечно бы не советовал.

sergio-m ()
Ответ на: комментарий от AntonyRF

кодеки ставятся одну минуту, это не сложно.

Нет смысла насиловать смердящий труп- посему, просто закопайте это.

Odalist ★★★★★ ()
Ответ на: комментарий от sergio-m

вам показалось, поверьте. а по сути - суся нормальный вменяемый дистрибутив.

Zlo ★★★★ ()
Ответ на: комментарий от Odalist

Если Вам нужны кодеки и сложно на них потратить минуту, то советую попробовать Windows.

А вообще, меня заманал дибилиевский apt-get, через который периодично появлялись пакеты с ошибками и ломались зависимости. Софт как говно старого мамонта и прочие мелкие косячки

AntonyRF ★★★ ()
Ответ на: комментарий от AntonyRF

кормить этого апологета - дело неблагодарное, пусть наслаждается «кодеками из коробки»

хотя, немного интересно, какой в дебиане мультимедиа стек нынче:)

kott ★★★★★ ()
Ответ на: комментарий от gutaper

А. Т.е. развести этот зоопарк всех мыслимых реп (вот что мешало mcabber положить в основную репу? он там только с 42.2 появился) - это не проблема в головах. Это тонкий ход.

Это репы для разработчиков. Если софтина будет достаточно популярна, она попадет в основную. Ты перечислишь все говнософтины, которыми только ты и пользуешься? Это тонкий ход.

Ясно. Любой _простой_ пользователь имеет проблемы в голове, судя по твоей логике.

Нет, проблемы в голове имеешь ты. Простой пользователь поставит из основной репы.

В OBS кидал исправления в репу с модулями питона. Висели очень долго. Раза 3-4 автоматическая напоминалка даже рассылала уведомления сопровождающим. Никто не чесался. А пакеты все это время так и висели с ошибкой сборки.

КСЖ. Салфеточку дать?

Но ведь даже не чесались.

Просто ужас. Ну снеси уже эту стремную зюзю.

registrant ★★★★★ ()
Ответ на: комментарий от registrant

которыми только ты и пользуешься?

mcabber в основной репе появился только в 42.2 Это говнософтина? volumeicon - это говнософтина? А его, кстати, до сих пор нет в основной репе. Наверное, недостаточно популярен? Кстати, для 42.3 нет репы X11:lxde Ой.Pnmixer тоже в пролете.

Простой пользователь поставит из основной репы.

Хорошо. Из какой основной репы поставить volumeicon? Pnmixer откуда?

Хотя как же.. желание поставить не прибитые программы к куче говна - это уже проблемы с головой по твоей логике. И если нет в основной репе - значит говнософтина.. Ущербная позиция. И явное отрицание проблемы - это уже фанатизм.

КСЖ. Салфеточку дать?

Да, сообщество у суси и правда больное.

Просто ужас. Ну снеси уже эту стремную зюзю.

Когда буду сносить, я обязательно спрошу твоего разрешения или совета. Ты же такой важный в сообществе и твое мнение имеет вес.

gutaper ★★★★ ()
Последнее исправление: gutaper (всего исправлений: 1)
Ответ на: комментарий от gutaper

И если нет в основной репе - значит говнософтина.

Говнософтина - это значит, что ей не пользуются, альтернативно одаренный ты наш, ее собрать толком некому. Или ты думаешь, раз корпорацийка им что-то подкидывает, значит там толпы индусов-тестировщиков сидят и ждут возможности решить твою проблему? Ты столько слез тут пролил, мог уже с десяток репортов накатать с патчами. Всегда радуют люди, которым все остальные должны, в то время как самих хватает только на форумное нытье.

registrant ★★★★★ ()
Ответ на: комментарий от registrant

ты столько слез тут пролил, мог уже с десяток репортов накатать с патчами.

Ты вновь обосрался. pnmixer я там обновил, а не лил слезы.

Говнософтина - это значит, что ей не пользуются

о, ну да. Никто не пользуется volumeicon'ом и pnmixer. Ври еще.

Можешь продолжать оправдывать упоротость организации реп в сусе. Я хоть и пользователь, но не идиот вроде тебя, который отрицает очевидные косяки.

gutaper ★★★★ ()
Ответ на: комментарий от gutaper

Можешь продолжать оправдывать упоротость организации реп в сусе.

Ты просто не понял, это бывает.

Я хоть и пользователь, но не идиот вроде тебя, который отрицает очевидные косяки.

Совершенно согласен, ты идиот совершенно особого сорта. Который не видит реальные косяки и ссыт кипятком из-за мелких косяков. Но это нормально, тут таких много.

registrant ★★★★★ ()
Ответ на: комментарий от AntonyRF

пакеты с ошибками и ломались зависимости

4.2

Odalist ★★★★★ ()
Ответ на: комментарий от registrant

Тыкнули носом в конкретную прогу, которой пользуются явно не 1,5 задрота, но ты в лучших традициях решил на этот счёт жевало перестать открывать. Ну да, тут таких много.

gutaper ★★★★ ()

Надо ещё чаще мажорную версию менять. Тогда будешь круче казаться :))))

sidor ★★ ()
Ответ на: комментарий от Odalist

Как там у вас обстоят дела с мультимедийными кодеками?

MP3 поддерживает, там эти кодеки отдельно можно установить, на них другая лицензия.

US software patents and Digital Millennium Copyright Act (DMCA))

Да, там есть лицензионное соглашение, и сам дистрибутив может попадать под санкции.

w39 ()
Ответ на: комментарий от x905

почему gcc и qt опять старые ?

Стабильность и обратная совместимость в пределах одной ветки.

dinn ★★★★★ ()
Ответ на: комментарий от gutaper

Читая рассылку openFate

А этим вообще кто-то пользуется? У меня смутные подозрения, что большинство разработчиков и сопровождающих туда даже не заглядывает.

dinn ★★★★★ ()
Ответ на: комментарий от gutaper

Вот, к примеру, нужен человуку позарез papyrus. Он есть только в репе Office. В штатной репе нет даже старой версии.

В любом дистрибутиве чего-то нет, т.к. стремление опакетить всё-всё-всё порочно. Так что надеемся на светлое будущее со snap/flatpack и прочим.

dinn ★★★★★ ()
Ответ на: комментарий от gutaper

В OBS кидал исправления в репу с модулями питона. Висели очень долго.

Так большинство поддерживающих - энтузиасты, кто-то вообще уже за давностью лет наигрался в Linux, у кого-то почта протухла, море причин. У меня самого достаточно много скопилось, пока этим летом с палаткой на природе был.

dinn ★★★★★ ()
Ответ на: комментарий от Odalist

Но представь, у меня из коробки в Дебиане все работает...

Три раза хаха!

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.